Page MenuHomePhabricator

Cannot edit a translation in ContentTranslation: "Failed to load saved translation"
Open, Needs TriagePublic

Description

[French]

Bonjour,

La traduction de l'article « Safe-space » de <en> à <fr> est actuellement bloqué. Ce message s'affiche : « Il y a une traduction en cours par Superjuju10. Veuillez vous assurer que vous êtes coordonné avec l’utilisateur qui a effectué la traduction actuelle. » Or, j'ai fini par abandonner la traduction (que je n'avais pas commencé).

Impossible de faire quoi que ce soit, d'autant que s'affiche désormais un message « Échec au chargement de la traduction enregistrée ! ».

Merci de corriger ce conflit d'édition.

Cordialement,

[English]

Hello,

The translation of "Safe-space" https://en.wikipedia.org/wiki/Safe-space from <en> to <fr> is currently blocked. This message appears (in French) " Il y a une traduction en cours par Superjuju10. Veuillez vous assurer que vous êtes coordonné avec l’utilisateur qui a effectué la traduction actuelle." However, I give up this translation in ContentTranslation (which I havn't start).

Unable to do anything, especially as now I get a message "Failed to load saved translation! ".

Please fix this edit conflict bug

Regards,

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2017, 10:13 AM

In T152208: Articles deleted on CX are still considered as "in progress" the translation in progress cannot be dismissed (it's not clear if the article-translation-in-progress is removed after refreshing the page).

The bug reported is easily reproducible (wmf.12 testwiki):

  1. User X starts the translation and then discards it
  2. User Y attempts to start the translation for the same article (to the same language, of course), gets a greyed out screen with the warning: "This is ongoing translation by user X. ..."

  1. User X has nothing in 'In progress'. When attempting to start the translation of the article (the same article for which the previous translation was discarded) and gets "Failed to load the saved translation!"

Re-checked in .wmf15 - the issue is still present.

There is one more implication for the user Y form the previous comment: the article, in fact, is added to the user's list of translations 'In progress'. And the user Y cannot dismiss it. I attached the screen recording: the translation of an article is started by another user, and the article cannot be discarded by any of the users. And no user feedback is provided.

Aklapper renamed this task from Edit conflict bug in ContentTranslation to Cannot edit a translation in ContentTranslation: "Failed to load saved translation".Apr 6 2017, 2:10 PM
He7d3r added a subscriber: He7d3r.Dec 16 2017, 3:03 PM
Arrbee moved this task from Out of Beta to Bugs on the ContentTranslation board.Jun 26 2018, 8:01 PM